Page MenuHomePhabricator

Document how to build and deploy all the maps services/components
Closed, ResolvedPublic

Description

There should be a single wiki page which lists or links to pages listing all the steps to get from "a patch is merged" to it being deployed in production.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 8 2017, 7:21 PM
Deskana added a subscriber: Deskana.Feb 8 2017, 7:25 PM

This looks like a "must have" in T155601: Stabilizing Interactive Products to me.

@Deskana : I agree. I'll leave it to you to add it there, and to set the priority of this task.

Deskana triaged this task as High priority.Feb 8 2017, 7:32 PM
Deskana assigned this task to EBjune.Feb 13 2017, 7:50 PM
Deskana added subscribers: EBjune, MaxSem.

There is some documentation that exists for deploying Node 6 services which @MaxSem and @EBjune as shown, which is nice. There are some problems with dependencies here that will need to be resolved; a repo was forked and not upstreamed. We're hoping that we can get that cleaned up. Erika will investigate further.

Deskana moved this task from To-do to In progress on the Maps-Sprint board.Feb 13 2017, 7:51 PM
Deskana added a subscriber: Pnorman.

Work that @Pnorman is doing will also feed in to this documentation.

@EBjune Has there been any movement on this yet?

@Deskana yes, slight movement, I need to circle back with @MaxSem to capture the process in more detail, especially how it differs from the documented Node deployment process at https://www.mediawiki.org/wiki/ServiceTemplateNode/Deployment

A deployment page has been started by @MaxSem on https://wikitech.wikimedia.org/wiki/Maps/deployment

Great! The acceptance criteria here would be something like "The page is detailed enough that anyone new to maps, but experienced with Wikimedia tech, could deploy the maps service". I'm not an engineer so I have no way of determining when we've met that. I'll rely on you all to tell me. :-)

MaxSem closed this task as Resolved.May 11 2017, 6:23 PM

Made a deployment today, current instructions seem sufficient.